// ***********************************************************************************************************************
// Servo-Tester - Poti an A0, Servos an Pin 8 und Pin 9 je nach Verwendung der Servo-Bibliothek
// Version 2.00 für PC mit Winkel und Impulslänge, Bodo Noethlich, 09/2016
// ***********************************************************************************************************************
// Servopositionen als Winkel in Grad festlegen:        Servo an Pin 8
// Servopositionen als Winkel in Impulslänge festlegen: Servo an Pin 9
// ***********************************************************************************************************************
#include <Servo.h>
Servo myServo1;
Servo myServo2;
int const potPin = A0;
int const servoPin1 = 8;
int const servoPin2 = 9;
int potVal;
int winkel;
int impulse;
// ***********************************************************************************************************************
// Setup zum Initialisieren der Ports 
// ***********************************************************************************************************************
void setup() {
  myServo1.attach(servoPin1);
  myServo2.attach(servoPin2);
  Serial.begin(9600);
  delay(100);
  Serial.println(" ");
  Serial.println("Servotester PC");
  delay(100);
}
// ***********************************************************************************************************************
// Hauptprogramm - Auslesen des Potis, Ausgabe der Daten auf Monitor, Bewegen des Servos
// ***********************************************************************************************************************
void loop() {
  potVal = analogRead(potPin);
  Serial.print("Potentiometer: ");
  Serial.print(potVal);
  winkel = map(potVal, 0, 1023, 0, 180);
  Serial.print(" / Winkel (Pin ");
  Serial.print(servoPin1);
  Serial.print(") = ");
  Serial.print(winkel);
  impulse = map(potVal, 0, 1023, 800, 2200);
  Serial.print(" / Impulslaenge (Pin ");
  Serial.print(servoPin2);
  Serial.print(") = ");
  Serial.print(impulse);
  myServo1.write(winkel);
  myServo2.writeMicroseconds(impulse);
  Serial.println(" ");
  delay(100);
}
// ***********************************************************************************************************************
